/********************************************************************
*                                                                   *
*           G A R A G E  -  D O O R   C O N T R O L L E R           *
*                                                                   *
*                   C O N T R O L   M O D U L E                     *
*                                                                   *
*********************************************************************
*                                                                   *
* File:       INTERRUPT.H                                           *
* Purpose:    Interrupt control macros                              *
* Author:     David R Brooks                                        *
* Date:       May, 2005                                             *
* Version:    1.01                                                  *
* Processor:  Atmel ATMega8                                         *
* Compiler:   GCC                                                   *
*                                                                   *
*********************************************************************/
// 2007.06.02 11:50  [YYYY.MM.DD] Last edited (CodeWright)

#ifndef __INTERRUPT_H
#define __INTERRUPT_H

#include "typedefn.h"

#define sei  __asm__ __volatile__ ("sei" ::)  // Enable
#define cli  __asm__ __volatile__ ("cli" ::)  // Disable

#define ISR_STACK_DEPTH 16

#endif
