//WARNING comment syntax is important,  if unsure, check out http://www.doxygen.org/manual.html

//---------------------------------------------------------------------------
//! \file log.h
//!
//! \project Igor-IIL 25+25W OTL valve amplifier
//!
//! \brief  Publicly accessible functions and types for log.c
//!
//! Logging functions
//!
//! \author David R Brooks
//! \date 17/09/2007
//!
//---------------------------------------------------------------------------


#ifndef __LOG_H
#define __LOG_H

//-Symbols -------------------------------------------------------------------

typedef enum
{
	 U1,	// 1-byte unsigned decimal
     U2,	// 2-byte unsigned decimal
    EU2,	// 2-byte unsigned decimal, editable
    TU2,	// 2-byte unsigned decimal (top of 4-byte acc.)
     S2,	// 2-byte signed decimal
    ES2,	// 2-byte signed decimal, editable
     X1,	// 1-byte, hex.
     X2,	// 2-byte hex.
     CS,	// ASCIIZ ptr.
     CP,	// Char[] ptr.
} U_FMT;
    
typedef struct 					// Log data table
{
	void  *pItem;
	uint1  sName[9];
    U_FMT  dtype;				// Data type
} S_LOGITEM;

#define ITEMSPERROW  5							// Log items per screen row
#define LOGWIDTH	(SCREENWIDTH / ITEMSPERROW)
#define NUMWIDTH     5          				// Width of numeric part
#define LOGROW		 4							// Log starts here, on screen

//-Global Externs ------------------------------------------------------------
// [insert global variables externs here]

//-Global Function Prototypes ------------------------------------------------
void  ShowNextLogItem(void);
void  RunningLog(void);
uint2 GetLogSpace(void);		// Return no. of lines used by log
void  LogInit(void);
void  EditMove(sint1 offset);
void  EditNum (sint2 offset);

#endif //__LOG_H




















